 /* QUIZ */
 
 .l2-quiz-container {
    margin: 0 !important;
}

.l2-quiz-container .ays-field {
    margin: 0 !important;
    display: flex;
    border-top: 1px solid var(--e-global-color-color_tertiary_light) !important;
    padding-top: 16px !important;
}

.l2-quiz-container.ays-quiz-container.ays_quiz_elegant_light .wrong_div,
.l2-quiz-container.ays-quiz-container.ays_quiz_elegant_light .correct_div {
    border-color: var(--e-global-color-color_tertiary_light) !important;
}

.l2-quiz-container .step.active-step {
    gap: 0 !important;
    justify-content: flex-start;
    align-items: flex-start !important;
    padding: 0 !important;
}


.l2-quiz-container .ays_quiz_question p {
    margin: 0 !important;
    padding: 0;
}

.l2-quiz-container .ays-question-counter {
    display: none;
}

.l2-quiz-container .ays_quiz_question p {
    font-family: var( --e-global-typography-secondary-font-family ), Sans-serif !important;
    font-size: var( --e-global-typography-secondary-font-size ) !important;
    font-weight: var( --e-global-typography-secondary-font-weight ) !important;
    text-transform: var( --e-global-typography-secondary-text-transform ) !important;
    line-height: var( --e-global-typography-secondary-line-height ) !important;
    letter-spacing: var( --e-global-typography-secondary-letter-spacing ) !important;
    word-spacing: var( --e-global-typography-secondary-word-spacing ) !important;
}

.l2-quiz-container .ays-quiz-answers label {
    color: var( --e-global-color-text ) !important;
    font-family: var( --e-global-typography-copypbold-font-family ), Sans-serif !important;
    font-size: var( --e-global-typography-copypbold-font-size ) !important;
    font-weight: var( --e-global-typography-copypbold-font-weight ) !important;
    text-transform: var( --e-global-typography-copypbold-text-transform ) !important;
    line-height: var( --e-global-typography-copypbold-line-height ) !important;
    letter-spacing: var( --e-global-typography-copypbold-letter-spacing ) !important;
    word-spacing: var( --e-global-typography-copypbold-word-spacing ) !important;  
}
 

.l2-quiz-container .ays-field.ays_list_view_item {
    opacity: 1 !important;
}

.l2-quiz-container.ays-quiz-container.ays_quiz_elegant_light .correct_div.checked_answer_div,
.l2-quiz-container.ays-quiz-container.ays_quiz_elegant_light .wrong_div {
    background-color: transparent !important; 
}

.l2-quiz-container.ays-quiz-container.ays_quiz_elegant_light .correct_div .correct {
    color: var(--e-global-color-color_greentec) !important;
}

.l2-quiz-container.ays-quiz-container.ays_quiz_elegant_light .wrong_div .wrong {
    color: #D45E5C !important; 
}

.l2-quiz-container .ays-quiz-answers .ays-field input+label[for^="ays-answer-"] {
    padding: 0 0 0 48px !important;
}

.l2-quiz-container .ays-quiz-answers {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    margin: 16px 0;
    gap: 16px;
}

.l2-quiz-container .ays_quiz_question {
    margin: 0 0 32px !important;
}

.l2-quiz-container .ays-quiz-question-note-message-box p {
    color: var( --e-global-color-text ) !important;
    font-family: var( --e-global-typography-headlinesh4-font-family ), Sans-serif !important;
    font-size: var( --e-global-typography-headlinesh4-font-size ) !important;
    font-weight: var( --e-global-typography-headlinesh4-font-weight ) !important;
    text-transform: var( --e-global-typography-headlinesh4-text-transform ) !important;
    line-height: var( --e-global-typography-headlinesh4-line-height ) !important;
    letter-spacing: var( --e-global-typography-headlinesh4-letter-spacing ) !important;
    word-spacing: var( --e-global-typography-headlinesh4-word-spacing ) !important;
    font-style: normal !important;
    padding: 0 !important;
    margin: 0 !important;
}

.l2-quiz-container .ays-quiz-question-note-message-box {
    display: none;
}

.l2-quiz-container .ays-quiz-answers.answered + .ays-quiz-question-note-message-box {
    display: block;
}

.l2-quiz-container input.action-button {
    background-color: var(--e-global-color-primary) !important;
    border-style: none !important;

}

body #ays-quiz-container-2 input[type='button'], 
body #ays-quiz-container-2 input[type='submit'] {
    color: var(--e-global-color-color_white) !important;
    font-family: var( --e-global-typography-buttonbuttonsmall-font-family ), Sans-serif !important;
    font-size: var( --e-global-typography-buttonbuttonsmall-font-size ) !important;
    font-weight: var( --e-global-typography-buttonbuttonsmall-font-weight ) !important;
    text-transform: var( --e-global-typography-buttonbuttonsmall-text-transform ) !important;
    line-height: var( --e-global-typography-buttonbuttonsmall-line-height ) !important;
    letter-spacing: var( --e-global-typography-buttonbuttonsmall-letter-spacing ) !important;
    word-spacing: var( --e-global-typography-buttonbuttonsmall-word-spacing ) !important;
    border-radius: 4px !important;
}

body #ays-quiz-container-2 input[type='button']:hover, 
body #ays-quiz-container-2 input[type='submit']:hover  {
    box-shadow: none !important;
    border: none !important;
}

.l2-quiz-container .ays-quiz-answers .ays-field::before {
    content: "";
    display: flex;
    position: absolute;
    width: 24px;
    height: 24px;
    align-self: start;
    justify-self: start;
    border: 2px solid var( --e-global-color-text ) !important;
    border-radius: 5px;
    left: 0 !important;
    background-position: center center;
    background-size: 100%;
    pointer-events: none;
}


.l2-quiz-container .ays-quiz-answers .ays-field.wrong_div::before {
    background-image: url('/wp-content/uploads/2023/11/wrong-checkbox.svg');
    border-color: #D45E5C !important;
}

.l2-quiz-container .ays-quiz-answers .ays-field.correct_div::before {
    border-color: var(--e-global-color-color_greentec) !important;
    background-image: url('/wp-content/uploads/2023/11/checkmark-correct.svg');
}

.l2-quiz-container [id^="ays_finish_quiz_"] div.step div.ays-abs-fs,
div.ays-quiz-container[id^="ays-quiz-container-"] {
    width: 100% !important;
    max-width: 100% !important;
}

.l2-quiz-container .ays_thank_you_fs p {
    margin: 0 !important;
    padding: 0 !important;
    text-align: left !important;
}